FLAIM: DB_CHECK_PROGRESS Struct Reference

- Main Page
- Modules
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DB_CHECK_PROGRESS Struct Reference

Structure returned during status callback from FlmDbCheck(). More...

`#include <flaim.h>`

List of all members.

## Public Attributes
void * | AppArg
| Application data. This is the application data pointer that was passed into FlmDbCheck().
FLMINT | iCheckPhase
| Phase of the check currently being performed by FlmDbCheck(). It may be one of the following: CHECK_LFH_BLOCKS - Checking logical file header blocks CHECK_B_TREE - Checking container and index b-trees CHECK_AVAIL_BLOCKS - Checking available block list CHECK_RS_SORT - Sorting result set for index keys CHECK_FINISHED - Database check is finished.
FLMBOOL | bStartFlag
| Flag indicating if we are at the beginning of the check phase specified by iCheckPhase.
FLMUINT | uiCurrLF
| Logical file currently being processed.
FLMUINT | uiLfNumber
| Current logical file number.
FLMUINT | uiLfType
| Logical file type. May be one of the following: LF_INDEX - Index LF_CONTAINER - Container.
FLMUINT64 | ui64DatabaseSize
| Total database size.
FLMUINT64 | ui64BytesExamined
| Total bytes examined so far in the database.
FLMUINT | uiNumProblemsFixed
| Total problems fixed. NOTE: This count only refers to logical index corruptions.
FLMBOOL | bPhysicalCorrupt
| Flag indicating if physical database corruptions were found.
FLMBOOL | bLogicalIndexCorrupt
| Flag indicating if logical index corruptions were found.
FLMUINT | uiLogicalIndexCorruptions
| Total number of logical index corruptions that were found.
FLMUINT | uiLogicalIndexRepairs
| Total number of logical index corruptions that were repaired.
FLMUINT | uiNumFields
| Total fields defined in the dictionary.
FLMUINT | uiNumIndexes
| Total indexes in the database.
FLMUINT | uiNumContainers
| Total containers in the database.
FLMUINT | uiNumLogicalFiles
| Total logical files (indexes & containers) in the database.
LF_STATS * | pLfStats
| Statistics collected for all logical files (indexes and containers) in the database.
BLOCK_INFO | AvailBlocks
| Statistics collected on available blocks.
BLOCK_INFO | LFHBlocks
| Statistics collected on logical file header blocks.
FLMBOOL | bUniqueIndex
| Is index being checked a unique index?
FLMUINT64 | ui64NumKeys
| Total keys gathered from records.
FLMUINT64 | ui64NumDuplicateKeys
| Total duplicate keys found in records.
FLMUINT64 | ui64NumKeysExamined
| Total keys examined so far.
FLMUINT64 | ui64NumKeysNotFound
| Total keys found in index but not in record.
FLMUINT64 | ui64NumRecKeysNotFound
| Total keys found in record but not in index.
FLMUINT64 | ui64NumNonUniqueKeys
| Total non-unique keys found in records for unique indexes.
FLMUINT64 | ui64NumConflicts
| Number of key inconsistencies that turned out not to be inconsistent when FLAIM attempted to repair them.
FLMUINT64 | ui64NumRSUnits
| Total number of "units" in the key result set that need to be sorted. NOTE: This only applies when iCheckPhase == CHECK_RS_SORT.
FLMUINT64 | ui64NumRSUnitsDone
| Number of "units" in the key result set that have been sorted so far. NOTE: This only applies when iCheckPhase == CHECK_RS_SORT.
FLMUINT | uiVersionNum
| Database version.
FLMUINT | uiBlockSize
| Database block size.
FLMUINT | uiDefaultLanguage
| Database default language.

## Detailed Description

Structure returned during status callback from FlmDbCheck().

This structure is passed to the callback function when the eStatusType::FLM_CHECK_STATUS status is reported.